Debian Bug report logs - #666438
gtest: Could the CMakeLists.txt be shipped?

version graph

Package: src:gtest; Maintainer for src:gtest is Steve M. Robbins <smr@debian.org>;

Reported by: Miguel Colon <debian.micove@gmail.com>

Date: Fri, 30 Mar 2012 18:39:02 UTC

Severity: wishlist

Found in version gtest/1.6.0-1

Fixed in version gtest/1.6.0-2

Done: smr@debian.org (Steve M. Robbins)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Steve M. Robbins <smr@debian.org>:
Bug#666438; Package src:gtest. (Fri, 30 Mar 2012 18:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Colon <debian.micove@gmail.com>:
New Bug report received and forwarded. Copy sent to Steve M. Robbins <smr@debian.org>. (Fri, 30 Mar 2012 18:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Miguel Colon <debian.micove@gmail.com>
To: submit@bugs.debian.org
Subject: gtest: Could the CMakeLists.txt be shipped?
Date: Fri, 30 Mar 2012 14:34:26 -0400
Source: gtest
Version: 1.6.0-1
Severity: wishlist

Hello:

Since the autotools scripts are deprecated, could the cmake scripts be
shipped similar to Ubuntu?

Besides the wont-fix bug that won't matter after the static libraries
get removed, this is the only change from Ubuntu left.

Below is the diff and the changelog entries related to it.

-Miguel

gtest (1.6.0-1ubuntu4) precise; urgency=low

  * debian/libgtest-dev.install:
    - also add the cmake subdirectory as it's needed by CMakeLists.txt

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 08 Mar 2012 16:26:48 +0100

gtest (1.6.0-1ubuntu3) precise; urgency=low

  * debian/libgtest-dev.install:
    - ship the CMakeLists.txt in /usr/src/gtest/ to enable inclusion in cmake
      project now that we don't distribute static library. (ideally that would
      go in the cmake directory and we will generate the file to look at
      /usr/src/gtest/)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 08 Mar 2012 13:52:03 +0100

gtest (1.6.0-1ubuntu2) precise; urgency=low

  * Stop distributing static library (although still build it, to ensure gtest
    works).  Upstream recommends against shipping the libary at all, just the
    source. (See: http://code.google.com/p/googletest/wiki/FAQ)
    The Debian maintainer plans to do this also (see BTS: 639795); do it in
    Ubuntu now to fulfil MIR requirements.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 08 Mar 2012
17:45:29 +1100

diff -pruN 1.6.0-1/debian/libgtest-dev.install
1.6.0-1ubuntu4/debian/libgtest-dev.install
--- 1.6.0-1/debian/libgtest-dev.install	2011-06-12 17:28:34.000000000 +0000
+++ 1.6.0-1ubuntu4/debian/libgtest-dev.install	2012-03-08
15:22:38.000000000 +0000
@@ -1,4 +1,4 @@
-*/libgtest.a usr/lib
-*/libgtest_main.a usr/lib
 include/gtest usr/include
 src usr/src/gtest
+CMakeLists.txt usr/src/gtest
+cmake usr/src/gtest




Reply sent to smr@debian.org (Steve M. Robbins):
You have taken responsibility. (Sun, 22 Apr 2012 03:33:08 GMT) Full text and rfc822 format available.

Notification sent to Miguel Colon <debian.micove@gmail.com>:
Bug acknowledged by developer. (Sun, 22 Apr 2012 03:33:08 GMT) Full text and rfc822 format available.

Message #10 received at 666438-close@bugs.debian.org (full text, mbox):

From: smr@debian.org (Steve M. Robbins)
To: 666438-close@bugs.debian.org
Subject: Bug#666438: fixed in gtest 1.6.0-2
Date: Sun, 22 Apr 2012 03:32:19 +0000
Source: gtest
Source-Version: 1.6.0-2

We believe that the bug you reported is fixed in the latest version of
gtest, which is due to be installed in the Debian FTP archive:

gtest_1.6.0-2.debian.tar.gz
  to main/g/gtest/gtest_1.6.0-2.debian.tar.gz
gtest_1.6.0-2.dsc
  to main/g/gtest/gtest_1.6.0-2.dsc
libgtest-dev_1.6.0-2_amd64.deb
  to main/g/gtest/libgtest-dev_1.6.0-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 666438@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve M. Robbins <smr@debian.org> (supplier of updated gtest package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 21 Apr 2012 16:10:45 -0500
Source: gtest
Binary: libgtest-dev
Architecture: source amd64
Version: 1.6.0-2
Distribution: unstable
Urgency: low
Maintainer: Steve M. Robbins <smr@debian.org>
Changed-By: Steve M. Robbins <smr@debian.org>
Description: 
 libgtest-dev - Google's framework for writing C++ tests - header files
Closes: 662989 666438
Changes: 
 gtest (1.6.0-2) unstable; urgency=low
 .
   * libgtest-dev.install: Do not ship static libs (closes: #662989).
     Install CMakeLists.txt to build lib (closes: #666438).
Checksums-Sha1: 
 70ff9f03d00b166053385e4e88dd53332da17801 1233 gtest_1.6.0-2.dsc
 110613f6ccbd607f06c57f94d041714813ed1893 5339 gtest_1.6.0-2.debian.tar.gz
 c5d1432b438764f8529a2b24dd193e9cd1f82313 264836 libgtest-dev_1.6.0-2_amd64.deb
Checksums-Sha256: 
 5aa452a5ba6d22848659abe2730c87b35a724becef7f5942b02b659bac0e2a9d 1233 gtest_1.6.0-2.dsc
 2074d15bfa1c91412a2efe2ef2c2d13e8b16ede7ac127cade95c9e5c2b406878 5339 gtest_1.6.0-2.debian.tar.gz
 c810c134dac26c6202584a5ee7415cfc0dc712186d0de703d1756691f58518fa 264836 libgtest-dev_1.6.0-2_amd64.deb
Files: 
 96bb082142029460c20b452ccfb14f14 1233 devel optional gtest_1.6.0-2.dsc
 f8672cd602fa7b8817c6fa9d4982de92 5339 devel optional gtest_1.6.0-2.debian.tar.gz
 69ea83ac3b6dfff605cc5fc4fad99d3d 264836 libdevel optional libgtest-dev_1.6.0-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFPkzJl0i2bPSHbMcURAjO+AKCGXcB5fhEq3jrsu1CWUjOSCS1SQgCcCFhg
Nfz6QvE63K+YzAp7rlt8CnM=
=KCG3
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 30 May 2012 07:36:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:46:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.